org.apache.fop.pdf

## Class PDFFilterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.fop.pdf.PDFFilterException

All Implemented Interfaces:
  Serializable

    public class PDFFilterException
    extends Exception

PDF Filter exception. This is used for exceptions relating to use a PDF filter.

This work was authored by Eric Schaeffer.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PDFFilterException()` Create a basic filter exception.
`PDFFilterException(String message)` Create a filter exception with a message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PDFFilterException

    public PDFFilterException()

Create a basic filter exception.

#### PDFFilterException

    public PDFFilterException(String message)

Create a filter exception with a message.

Parameters:
  `message` - the error message